<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="content-ma">
 *
 * @package Feminine Style Lite
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?> class="main-bodybox">
	<?php if ( function_exists( 'wp_body_open' ) ) {
	    wp_body_open();
	} else {
	    do_action( 'wp_body_open' );
	}?>
	<?php if(get_theme_mod('feminine_style_lite_preloader_hide',false)!= '' || get_theme_mod('feminine_style_lite_responsive_preloader_hide',false) != ''){ ?>
    <?php if(get_theme_mod( 'feminine_style_lite_preloader_type','center-square') == 'center-square'){ ?>
	    <div class='preloader'>
		    <div class='preloader-squares'>
				<div class='square'></div>
				<div class='square'></div>
				<div class='square'></div>
				<div class='square'></div>
		    </div>
			</div>
    <?php }else if(get_theme_mod( 'feminine_style_lite_preloader_type') == 'chasing-square') {?>    
      <div class='preloader'>
				<div class='preloader-chasing-squares'>
					<div class='square'></div>
					<div class='square'></div>
					<div class='square'></div>
					<div class='square'></div>
				</div>
			</div>
    <?php }?>
	<?php }?>
	<header role="banner">
		<a class="screen-reader-text skip-link" href="#main"><?php esc_html_e( 'Skip to content', 'feminine-style-lite' ); ?><span class="screen-reader-text"><?php esc_html_e( 'Skip to content', 'feminine-style-lite' );?></span></a>
		<div id="header">
			<?php if(get_theme_mod('feminine_style_lite_show_topbar',false) == true) {?>
		  	<div class="topbar">
		  		<div class="container">
		  			<div class="row">
		  				<div class="col-lg-6 col-md-6 align-self-center contact">
		  					<?php if(get_theme_mod('feminine_style_lite_topbar_email') != ''){?>
		  						<span><?php echo esc_html('Write us at','feminine-style-lite'); ?> <a href="mailto:<?php echo esc_attr(get_theme_mod('feminine_style_lite_topbar_email')); ?>"><?php echo esc_html(get_theme_mod('feminine_style_lite_topbar_email')); ?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('feminine_style_lite_topbar_email')); ?></span></a></span>
		  					<?php }?>
		  				</div>
		  				<div class="col-lg-6 col-md-6 align-self-center contact text-md-end text-center">
		  					<?php if(get_theme_mod('feminine_style_lite_subscribe_text') != ''){?>
		  						<span><?php echo esc_html(get_theme_mod('feminine_style_lite_subscribe_text')); ?></span>
		  					<?php }?>
		  				</div>
		  			</div>
		  		</div>
		  	</div>
		  <?php }?>
		  <div class="middle-header">
		  	<div class="container">
		  		<div class="row">
		  			<div class="col-lg-4 col-md-4 align-self-center">
		  				<div class="social-icon text-md-start text-center">
	  						<?php if(get_theme_mod('feminine_style_lite_facebook_url') != ''){ ?>
	  							<a href="<?php echo esc_url(get_theme_mod('feminine_style_lite_facebook_url')); ?>"><i class="fab fa-facebook-f"></i><span class="screen-reader-text"><?php echo esc_html('Facebook', 'feminine-style-lite'); ?></span></a>
	  						<?php }?>
	  						<?php if(get_theme_mod('feminine_style_lite_twitter_url') != ''){ ?>
	  							<a href="<?php echo esc_url(get_theme_mod('feminine_style_lite_twitter_url')); ?>"><i class="fab fa-twitter"></i><span class="screen-reader-text"><?php echo esc_html('Twitter', 'feminine-style-lite'); ?></span></a>
	  						<?php }?>
	  						<?php if(get_theme_mod('feminine_style_lite_linkedin_url') != ''){ ?>
	  							<a href="<?php echo esc_url(get_theme_mod('feminine_style_lite_linkedin_url')); ?>"><i class="fab fa-linkedin-in"></i><span class="screen-reader-text"><?php echo esc_html('Linkedin', 'feminine-style-lite'); ?></span></a>
	  						<?php }?>
	  						<?php if(get_theme_mod('feminine_style_lite_instagram_url') != ''){ ?>
	  							<a href="<?php echo esc_url(get_theme_mod('feminine_style_lite_instagram_url')); ?>"><i class="fab fa-instagram"></i><span class="screen-reader-text"><?php echo esc_html('Instagram', 'feminine-style-lite'); ?></span></a>
	  						<?php }?>
	  					</div>
		  			</div>
		  			<div class="col-lg-4 col-md-4 col-9 align-self-center">
		  				<div class="logo text-md-center text-start">
				     	 	<?php if ( has_custom_logo() ) : ?>
			     	    	<div class="site-logo"><?php the_custom_logo(); ?></div>
		            <?php endif; ?>
		            <?php if( get_theme_mod( 'feminine_style_lite_site_title',true) != '') { ?>
			            <?php $blog_info = get_bloginfo( 'name' ); ?>
			            <?php if ( ! empty( $blog_info ) ) : ?>
				            <?php if ( is_front_page() && is_home() ) : ?>
				              <h1 class="site-title mt-0 p-0"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				            <?php else : ?>
				              <p class="site-title mt-0 p-0"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
				            <?php endif; ?>
			            <?php endif; ?>
				        <?php }?>
				        <?php if( get_theme_mod( 'feminine_style_lite_site_tagline',true) != '') { ?>
			            <?php
			            $description = get_bloginfo( 'description', 'display' );
			            if ( $description || is_customize_preview() ) :
			            ?>
				            <p class="site-description">
				              <?php echo esc_html($description); ?>
				            </p>
			            <?php endif; ?>
				        <?php }?>
					    </div>
		  			</div>
						<div class="search-box col-lg-4 col-md-4 col-3 align-self-center text-md-end text-center">
            	<button type="button" onclick="feminine_style_lite_search_show()" class="p-0"><i class="fas fa-search"></i></button>
		        </div>
		        <div class="search-outer">
              <div class="serach_inner">
              	<?php get_search_form(); ?>
              </div>
            	<button type="button" class="closepop" onclick="feminine_style_lite_search_hide()">X</span></button>
		        </div>
		  		</div>
		  	</div>
		  </div>
		  <div class="menubox <?php if( get_theme_mod( 'feminine_style_lite_sticky_header') != '') { ?> sticky-header<?php } else { ?>close-sticky <?php } ?> text-center">
		  	<div class="container">
					<?php if(has_nav_menu('primary')){ ?>
				   	<div class="toggle-menu responsive-menu text-end">
	           	<button role="tab" onclick="feminine_style_lite_menu_open()"><i class="<?php echo esc_attr(get_theme_mod('feminine_style_lite_responsive_open_menu_icon','fas fa-bars'));?>"></i><span class="screen-reader-text"><?php esc_html_e('Open Menu','feminine-style-lite'); ?></span></button>
	         	</div>
	         	<div id="menu-sidebar" class="nav side-menu">
	            <nav id="primary-site-navigation" class="primary-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'feminine-style-lite' ); ?>">
	              <?php 
	                wp_nav_menu( array( 
	                  'theme_location' => 'primary',
	                  'container_class' => 'main-menu-navigation clearfix' ,
	                  'menu_class' => 'clearfix',
	                  'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav m-0 p-0">%3$s</ul>',
	                  'fallback_cb' => 'wp_page_menu',
	                ) ); 
	              ?>
	              <a href="javascript:void(0)" class="closebtn responsive-menu" onclick="feminine_style_lite_menu_close()"><i class="<?php echo esc_attr(get_theme_mod('feminine_style_lite_responsive_close_menu_icon','fas fa-times'));?>"></i><span class="screen-reader-text"><?php esc_html_e('Close Menu','feminine-style-lite'); ?></span></a>
	            </nav>
	        	</div>
	      	<?php }?>
	      </div>
      </div>
		</div>
	</header>